Bug 1020048 - Packstack neutron plugin does not check if Nova is disabled
Packstack neutron plugin does not check if Nova is disabled
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 17:46 EDT by Ivan Chavero
Modified: 2016-04-18 02:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2014.1.1-0.29.dev1251.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:05:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 52266 None None None Never

  None (edit)
Description Ivan Chavero 2013-10-16 17:46:52 EDT
Description of problem:

If you disable nova compute in packstack's answer file you get an this error: 

# packstack -d --answer-file=testans.txt 
Welcome to Installer setup utility

Installing:

ERROR : 'CONFIG_NOVA_COMPUTE_HOSTS'


How reproducible:

Just set 
CONFIG_NOVA_INSTALL=n
in the answer file

Steps to Reproduce:
1. packstack --gent-answer-file=ans.txt
2. edit answer file and set CONFIG_NOVA_INSTALL to 'n'
3. run packstack -d --answer-file=ans.txt

Actual results:

Welcome to Installer setup utility

Installing:

ERROR : 'CONFIG_NOVA_COMPUTE_HOSTS'

Expected results:

Normal packstack output

Additional info:

It seems like the neutron plugin does not check if nova is disabled.
Comment 1 Ivan Chavero 2013-10-16 18:18:56 EDT
While solving this bug i found that the glance plugin also has this problem.

Note You need to log in before you can comment on or make changes to this bug.